# Class OpenSSLLifecycleListener

java.lang.Object
org.apache.catalina.core.OpenSSLLifecycleListener

All Implemented Interfaces:
  `LifecycleListener`

public class OpenSSLLifecycleListener extends Object implements LifecycleListener
Implementation of `LifecycleListener` that will do the global initialization of OpenSSL according to specified configuration parameters. Using the listener is completely optional, but is needed for configuration and full cleanup of a few native memory allocations.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final Object`
`lock`
`protected static final StringManager`
`sm`
The string manager for this package.

## Constructor Summary

Constructors
Constructor
Description
`OpenSSLLifecycleListener()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFIPSMode()`
`String`
`getSSLEngine()`
`String`
`getSSLRandomSeed()`
`static boolean`
`getUseOpenSSL()`
`static boolean`
`isAvailable()`
`boolean`
`isFIPSModeActive()`
`void`
`lifecycleEvent(LifecycleEvent event)`
Primary entry point for startup and shutdown events.
`void`
`setFIPSMode(String FIPSMode)`
`void`
`setSSLEngine(String SSLEngine)`
`void`
`setSSLRandomSeed(String SSLRandomSeed)`
`void`
`setUseOpenSSL(boolean useOpenSSL)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sm

protected static final StringManager sm
The string manager for this package.

### lock

protected static final Object lock

## Constructor Details

### OpenSSLLifecycleListener

public OpenSSLLifecycleListener()

## Method Details

### isAvailable

public static boolean isAvailable()

### lifecycleEvent

public void lifecycleEvent(LifecycleEvent event)
Primary entry point for startup and shutdown events.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - The event that has occurred

### getSSLEngine

public String getSSLEngine()

### setSSLEngine

public void setSSLEngine(String SSLEngine)

### getSSLRandomSeed

public String getSSLRandomSeed()

### setSSLRandomSeed

public void setSSLRandomSeed(String SSLRandomSeed)

### getFIPSMode

public String getFIPSMode()

### setFIPSMode

public void setFIPSMode(String FIPSMode)

### isFIPSModeActive

public boolean isFIPSModeActive()

### setUseOpenSSL

public void setUseOpenSSL(boolean useOpenSSL)

### getUseOpenSSL

public static boolean getUseOpenSSL()